// FICHIER : Met_triaMemb.h
// CLASSE : Met_triaMemb

// La classe Met_triaMemb est une classe derivee de la classe Met_abstraite
// et permet de realiser tous les calculs lies a la metrique d'une facette triangulaire
// avec interpolation classique 
// N.B. : La dimension de l'espace est 2


#ifndef MET_TRIAMEMB_H
#define MET_TRIAMEMB_H

#include "Met_abstraite.h"


class Met_triaMemb : public Met_abstraite
{


	public :


		// CONSTRUCTEUR :
		
		// Constructeur par defaut
		Met_triaMemb ();	
	    // constructeur permettant de dimensionner unique ment certaine variables
	    // dim_base = dimension de l'espace, nb de vecteur des bases ici = 2 (cf Met_abstraite),
	    //  tab = liste des variables a initialiser
	    Met_triaMemb (int dim_base,DdlElement& tabddl,Tableau<Enum_variable_metrique> & tab);
		// constructeur de copie
		Met_triaMemb (Met_triaMemb&);
		// DESTRUCTEUR :
		
		~Met_triaMemb ();
		
		
};


#endif
		
		