
// This file is part of the Herezh++ application.
//
// The finite element software Herezh++ is dedicated to the field
// of mechanics for large transformations of solid structures.
// It is developed by Gérard Rio (APP: IDDN.FR.010.0106078.000.R.P.2006.035.20600)
// INSTITUT DE RECHERCHE DUPUY DE LÔME (IRDL) <https://www.irdl.fr/>.
//
// Herezh++ is distributed under GPL 3 license ou ultérieure.
//
// Copyright (C) 1997-2021 Université Bretagne Sud (France)
// AUTHOR : Gérard Rio
// E-MAIL  : gerardrio56@free.fr
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License,
// or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.
//
// For more information, please consult: <https://herezh.irdl.fr/>.

#include "Fin_Gmsh.h" 

#include <iomanip>

    // CONSTRUCTEURS :
// par defaut
Fin_Gmsh::Fin_Gmsh () :
   Fin_vrml()
     {}; 
     
     // constructeur de copie 
Fin_Gmsh::Fin_Gmsh (const Fin_Gmsh& ord) :
    Fin_vrml(ord)
      {};
               
    // DESTRUCTEUR :
Fin_Gmsh::~Fin_Gmsh () 
     {};  
    
    // METHODES PUBLIQUES :
    
    // METHODES PUBLIQUES :
// lecture des paramètres de l'ordre dans un flux
void Fin_Gmsh::Lecture_parametres_OrdreVisu(UtilLecture & )
 { 
  };

// écriture des paramètres de l'ordre dans un flux
void Fin_Gmsh::Ecriture_parametres_OrdreVisu(UtilLecture & )
 {   
  };

                            
